package tcra.exercises;

import tcra.math.*;
import tcra.exercises.q2_mystery_private.*;

public class Q2MysteryInterfaceExercise extends TCRAExercise
{
   protected static final int max_depth = 5;
   
   public Q2MysteryInterfaceExercise()
   {
      super("<html>public interface MysteryStructure");
      contracts.add(new Q2MysteryExercise_Mystery1());
      contracts.add(new Q2MysteryExercise_Mystery2());
      contracts.add(new Q2MysteryExercise_Mystery3());
      contracts.add(new Q2MysteryExercise_Mystery4());
      contracts.add(new Q2MysteryExercise_Mystery5());
   } // end ctor

   public MathModel getMathRep()   { return new MathStringModel(); }
   public String getSelfString()   { return "self"; }
   public static int getMaxDepth() { return max_depth; }
} // end class

